# NCollection_StdBase.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`
`#include <TCollection_AsciiString.hxx>`
`#include <TCollection_ExtendedString.hxx>`
`#include <NCollection_DefineBaseCollection.hxx>`

## Functions

| DEFINE_BASECOLLECTION (NCollection_BaseCollAsciiString, TCollection_AsciiString) DEFINE_BASECOLLECTION(NCollection_BaseCollExtendedString

## Function Documentation

DEFINE_BASECOLLECTION | ( | NCollection_BaseCollAsciiString | ,
|  | TCollection_AsciiString |
| ) |